<?php
/*
  $Id: header.php,v 1.42 2003/06/10 18:20:38 hpdl Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/

// check if the 'install' directory exists, and warn of its existence
  if (WARN_INSTALL_EXISTENCE == 'true') {
    if (file_exists(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/install')) {
      $messageStack->add('header', WARNING_INSTALL_DIRECTORY_EXISTS, 'warning');
    }
  }

// check if the configure.php file is writeable
  if (WARN_CONFIG_WRITEABLE == 'true') {
    if ( (file_exists(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/includes/configure.php')) && (is_writeable(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/includes/configure.php')) ) {
      $messageStack->add('header', WARNING_CONFIG_FILE_WRITEABLE, 'warning');
    }
  }

// check if the session folder is writeable
  if (WARN_SESSION_DIRECTORY_NOT_WRITEABLE == 'true') {
    if (STORE_SESSIONS == '') {
      if (!is_dir(tep_session_save_path())) {
        $messageStack->add('header', WARNING_SESSION_DIRECTORY_NON_EXISTENT, 'warning');
      } elseif (!is_writeable(tep_session_save_path())) {
        $messageStack->add('header', WARNING_SESSION_DIRECTORY_NOT_WRITEABLE, 'warning');
      }
    }
  }

// check session.auto_start is disabled
  if ( (function_exists('ini_get')) && (WARN_SESSION_AUTO_START == 'true') ) {
    if (ini_get('session.auto_start') == '1') {
      $messageStack->add('header', WARNING_SESSION_AUTO_START, 'warning');
    }
  }

  if ( (WARN_DOWNLOAD_DIRECTORY_NOT_READABLE == 'true') && (DOWNLOAD_ENABLED == 'true') ) {
    if (!is_dir(DIR_FS_DOWNLOAD)) {
      $messageStack->add('header', WARNING_DOWNLOAD_DIRECTORY_NON_EXISTENT, 'warning');
    }
  }

  if ($messageStack->size('header') > 0) {
    echo $messageStack->output('header');
  }
?>
<center>
<table border="0" width="732" height="78" cellspacing="0" cellpadding="0">
  <tr>
  	<td colspan="3" height="20">&nbsp;</td>
  </tr>
  <tr>
  	<td width="2" height="58"><img src="images/left_header_corner.gif" width="2" height="58" alt="" /></td>
    <td width="728" height="58" style="background:url(images/header_bg.gif) repeat-x">
		<table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
			<tr>
				<td width="200" height="58" style="padding-left:15px; " align="left"><img src="images/logo.gif" width="146" height="34" alt="" border="0" /></td>
				<td width="150" height="58" align="left">
				
				 <ul class="topmenu">
  	<li><a href="<?php echo tep_href_link(FILENAME_ABOUT_US) ?>" class="atopmenu">Company</a></li>
	<li><a href="<?php echo tep_href_link(FILENAME_SPECIALS) ?>" class="atopmenu">Specials</a></li>
	<li><a href="<?php echo tep_href_link(FILENAME_ADVANCED_SEARCH) ?>" class="atopmenu">Advanced Search</a></li>
  </ul>
 				</td>
				<td width="150" height="58" align="left">
  <ul class="topmenu">
  	<li><a href="<?php echo tep_href_link(FILENAME_CONTACT_US) ?>" class="atopmenu">Contact us</a></li>
	<li><a href="<?php echo tep_href_link(FILENAME_CREATE_ACCOUNT) ?>" class="atopmenu">Create an account</a></li>
	<li><a href="<?php echo tep_href_link(FILENAME_LOGIN) ?>" class="atopmenu">Customer login</a></li>
  </ul>
				</td>
				<td width="188" height="58" align="left"><?php require(DIR_WS_BOXES . 'shopping_cart.php'); ?></td>
			</tr>
			
		</table>
	</td>
	<td width="2" height="58"><img src="images/right_header_corner.gif" width="2" height="58" alt="" /></td>
  </tr>
</table>
<table border="0" width="732" cellspacing="0" cellpadding="0" height="198" bgcolor="#FFFFFF" style="padding-bottom:3px; padding-top:12px; ">
  <tr>
  	<td height="198" align="center">
		<table width="716" border="0" cellpadding="0" cellspacing="0">
			<tr>
				<td width="173" height="37" style="background:url(images/lang_bg.gif) repeat-x">
					<table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
						<tr>
							<td width="3"><img src="images/left_lang_corner.gif" width="3" height="37" /></td>
							<td width="153" style="padding-left:10px; padding-top:6px;" valign="top"><?php  if (substr(basename($PHP_SELF), 0, 8) != 'checkout') {
										    include(DIR_WS_BOXES . 'languages.php');} ?></td>
							<td width="17"><img src="images/right_lang_corner.gif" width="17" height="37" /></td>
						</tr>
						<tr>
							<td colspan="3" width="173"  height="121" background="images/search_bg.jpg" valign="top">
				<table width="100%" border="0" cellpadding="0" cellspacing="0">
					<tr>
						<td height="60">	<?php
				if ((USE_CACHE == 'true') && empty($SID)) {
    echo tep_cache_manufacturers_box();
  } else {
    include(DIR_WS_BOXES . 'manufacturers.php');
  }?>
  					</td>
					</tr>
					<tr>
						<td><?php  require(DIR_WS_BOXES . 'search.php'); ?></td>
					</tr>
				</table>	
				</td>
			</tr>
			<tr>
				<td colspan="3" width="173" height="50" style="padding-top:3px; ">
					<table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%" background="images/cur_bg.gif">
						<tr>
							<td width="3"><img src="images/left_cur_corner.gif" width="3" height="50" alt="" /></td>
							<td width="167"><?php   if (substr(basename($PHP_SELF), 0, 8) != 'checkout') {
   										    include(DIR_WS_BOXES . 'currencies.php');
																					  } ?></td>
							<td width="3"><img src="images/right_cur_corner.gif" width="3" height="50" alt="" /></td>
						</tr>
					</table>
				</td>
			</tr>
				
					</table>
				</td>
				<td width="543" valign="top">
					<table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
						<tr>
							<td colspan="2" width="543" height="56" background="images/menu_bg.gif">
								<table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
									<tr>
										<td width="5" height="56"><img src="images/left_menu_corner.gif" width="5" height="56" alt="" /></td>
										<td width="100%" height="56"><?php  require(DIR_WS_BOXES . 'menu.php'); ?></td>
										<td width="5" height="56"><img src="images/right_menu_corner.gif" width="5" height="56" /></td>
									</tr>
								</table>
							</td>
						</tr>
						<tr>
							<td width="393" height="154"><a href="<?php echo FILENAME_DEFAULT.'?cPath=27'; ?>"><img src="images/swim_equip.jpg" width="383" height="148" border="0" style="margin:6px 5px 0px 5px; " alt="" /></a></td>
							<td width="150" style="padding-top:6px; " valign="top"><?php require(DIR_WS_BOXES . 'whats_new.php'); ?></td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</td>
  </tr>
  
</table>
<?php
  if (isset($HTTP_GET_VARS['error_message']) && tep_not_null($HTTP_GET_VARS['error_message'])) {
?>
<table border="0" width="100%" cellspacing="0" cellpadding="2">
  <tr class="headerError">
    <td class="headerError"><?php echo htmlspecialchars(urldecode($HTTP_GET_VARS['error_message'])); ?></td>
  </tr>
</table>
<?php
  }

  if (isset($HTTP_GET_VARS['info_message']) && tep_not_null($HTTP_GET_VARS['info_message'])) {
?>
<table border="0" width="100%" cellspacing="0" cellpadding="2">
  <tr class="headerInfo">
    <td class="headerInfo"><?php echo htmlspecialchars($HTTP_GET_VARS['info_message']); ?></td>
  </tr>
</table>
<?php
  }
?>
